Bug 1727281 - R-3.6.1 is available
Summary: R-3.6.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: R
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-05 11:11 UTC by Upstream Release Monitoring
Modified: 2019-11-12 19:54 UTC (History)
2 users (show)

Fixed In Version: R-3.6.1-1.el8 R-3.6.1-2.fc30 R-3.6.1-2.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 03:53:18 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-07-05 11:11:36 UTC
Latest upstream release: 3.6.1
Current version/release in rawhide: 3.6.0-1.fc31
URL: https://www.r-project.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4150/

Comment 1 Upstream Release Monitoring 2019-07-05 11:11:41 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- macros.R
- R-make-search-index.sh

Comment 2 Fedora Update System 2019-08-30 03:50:11 UTC
FEDORA-EPEL-2019-86e61d9c02 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86e61d9c02

Comment 3 Fedora Update System 2019-08-30 03:50:17 UTC
FEDORA-2019-729bba50f9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729bba50f9

Comment 4 Fedora Update System 2019-08-30 03:50:18 UTC
FEDORA-2019-32499f9021 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 5 Fedora Update System 2019-08-30 15:27:59 UTC
R-3.6.1-1.fc30, R-rpm-macros-1.1.0-2.fc30, rkward-0.7.0-9.fc30, rpy-3.0.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729bba50f9

Comment 6 Fedora Update System 2019-08-30 15:41:19 UTC
R-3.6.1-1.fc29, R-rpm-macros-1.1.0-2.fc29, rkward-0.7.0-9.fc29, rpy-2.9.5-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 7 Fedora Update System 2019-08-30 16:07:50 UTC
R-3.6.1-1.el7, R-rpm-macros-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86e61d9c02

Comment 8 Fedora Update System 2019-08-30 17:22:56 UTC
R-3.6.1-1.el8, R-rpm-macros-1.1.0-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-16908d432e

Comment 9 Fedora Update System 2019-09-01 02:19:11 UTC
FEDORA-EPEL-2019-86e61d9c02 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86e61d9c02

Comment 10 Fedora Update System 2019-09-01 02:20:00 UTC
FEDORA-2019-32499f9021 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 11 Fedora Update System 2019-09-01 02:21:59 UTC
FEDORA-2019-729bba50f9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729bba50f9

Comment 12 Fedora Update System 2019-09-02 01:09:01 UTC
R-3.6.1-2.fc30, rkward-0.7.0-9.fc30, rpy-3.0.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729bba50f9

Comment 13 Fedora Update System 2019-09-02 01:49:01 UTC
R-3.6.1-2.fc29, rkward-0.7.0-9.fc29, rpy-2.9.5-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-32499f9021

Comment 14 Fedora Update System 2019-09-02 03:14:28 UTC
R-3.6.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-86e61d9c02

Comment 15 Fedora Update System 2019-09-14 03:53:18 UTC
R-3.6.1-1.el8, R-rpm-macros-1.1.0-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-24 01:08:34 UTC
R-3.6.1-2.fc30, rkward-0.7.0-9.fc30, rpy-3.0.5-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-29 02:22:25 UTC
R-3.6.1-2.fc29, rkward-0.7.0-9.fc29, rpy-2.9.5-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Joshua Baker-LePain 2019-11-12 18:19:09 UTC
This release has not yet made it to EPEL 7 stable.  Is there any ETA on that?  It fixes a bug we have with installing R packages on BeeGFS.  Thanks.

Comment 19 Tom "spot" Callaway 2019-11-12 19:41:25 UTC
The challenge is this:

R 3.6.1 cannot build with the stock EL-7 toolchain, due to the C++ support level required. In order to build it, we need to use devtoolset-8-toolchain. When R 3.6.1 is built, it assumes that same level of C++ support is available, and any EL-7 setups using it which do not have devtoolset-8-toolchain will not successfully build modules from CRAN which depend on that C++ support (which is not a small number these days). Thus, I made the R-3.6.1 build for EL-7 depend on devtoolset-8-toolchain, but this is not acceptable (apparently).

So, I'm caught between either:

1. Dropping the dependency on devtoolset-8-toolchain and having bugs flow in which I'm forced to close as CANTFIX

or

2. Leaving R in EL-7 at the last release which did not depend on devtoolset-8-toolchain

I'm really unwilling to do #1.

Comment 20 Joshua Baker-LePain 2019-11-12 19:54:41 UTC
Thanks very much for the explanation, which makes perfect sense.  I'm fine with the dependency, so I'll pull the packages from testing for our site.


Note You need to log in before you can comment on or make changes to this bug.